<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>OperatorsPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OperatorsPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OperatorsPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html" target="_top">Frames</a></li>
<li><a href="OperatorsPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators</div>
<h2 title="Interface OperatorsPackage" class="title">Interface OperatorsPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/impl/OperatorsPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.impl">OperatorsPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">OperatorsPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><code>OperatorsFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators">OperatorsPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators">OperatorsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#OPERATOR">OPERATOR</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/impl/OperatorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.impl"><code><em>Operator</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#OPERATOR__ARITY">OPERATOR__ARITY</a></span></code>
<div class="block">The feature id for the '<em><b>Arity</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#OPERATOR__BASE_BEHAVIOR">OPERATOR__BASE_BEHAVIOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Behavior</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#OPERATOR__SYMBOL">OPERATOR__SYMBOL</a></span></code>
<div class="block">The feature id for the '<em><b>Symbol</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#OPERATOR_FEATURE_COUNT">OPERATOR_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Operator</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator_Arity--">getOperator_Arity</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getArity--"><code><em>Arity</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator_Base_Behavior--">getOperator_Base_Behavior</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getBase_Behavior--"><code><em>Base Behavior</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator_Symbol--">getOperator_Symbol</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getSymbol--"><code><em>Symbol</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator--">getOperator</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><code><em>Operator</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators">OperatorsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperatorsFactory--">getOperatorsFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators">OperatorsPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="OPERATOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATOR</h4>
<pre>static final&nbsp;int OPERATOR</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/impl/OperatorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.impl"><code><em>Operator</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/impl/OperatorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.impl"><code>OperatorImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/impl/OperatorsPackageImpl.html#getOperator--"><code>OperatorsPackageImpl.getOperator()</code></a>, 
<a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.OPERATOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATOR__SYMBOL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATOR__SYMBOL</h4>
<pre>static final&nbsp;int OPERATOR__SYMBOL</pre>
<div class="block">The feature id for the '<em><b>Symbol</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.OPERATOR__SYMBOL">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATOR__ARITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATOR__ARITY</h4>
<pre>static final&nbsp;int OPERATOR__ARITY</pre>
<div class="block">The feature id for the '<em><b>Arity</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.OPERATOR__ARITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATOR__BASE_BEHAVIOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OPERATOR__BASE_BEHAVIOR</h4>
<pre>static final&nbsp;int OPERATOR__BASE_BEHAVIOR</pre>
<div class="block">The feature id for the '<em><b>Base Behavior</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.OPERATOR__BASE_BEHAVIOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OPERATOR_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OPERATOR_FEATURE_COUNT</h4>
<pre>static final&nbsp;int OPERATOR_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Operator</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators.OperatorsPackage.OPERATOR_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOperator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getOperator()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><code><em>Operator</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Operator</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><code>Operator</code></a></dd>
</dl>
</li>
</ul>
<a name="getOperator_Symbol--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator_Symbol</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getOperator_Symbol()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getSymbol--"><code><em>Symbol</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Symbol</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getSymbol--"><code>Operator.getSymbol()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator--"><code>getOperator()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOperator_Arity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator_Arity</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getOperator_Arity()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getArity--"><code><em>Arity</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Arity</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getArity--"><code>Operator.getArity()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator--"><code>getOperator()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOperator_Base_Behavior--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator_Base_Behavior</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getOperator_Base_Behavior()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getBase_Behavior--"><code><em>Base Behavior</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Behavior</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/Operator.html#getBase_Behavior--"><code>Operator.getBase_Behavior()</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html#getOperator--"><code>getOperator()</code></a></dd>
</dl>
</li>
</ul>
<a name="getOperatorsFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getOperatorsFactory</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators">OperatorsFactory</a>&nbsp;getOperatorsFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/OperatorsPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Operators"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Operators/OperatorsPackage.html" target="_top">Frames</a></li>
<li><a href="OperatorsPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
